Building Python-2.6.4 on G/L: can't build in _ssl support.

Alan Mackenzie acm at
Sat Mar 6 12:20:11 CET 2010

Hi, Python!

I build Python-2.6.4 on my GNU/Linux (Debian Sarge) box.  I get a warning
message "Failed to find the necessary bits to build these modules: ....
_ssl ...  RTFS to find out what!".

I need _ssl for an application.  So, I look at in the top
directory.  It seems that _ssl needs to find certain .h files, but is
looking in /usr/local/ssl and /usr/contrib (or subdirectories thereof).
These look like highly non-standard directories.

Either something is hugely amiss, or I'm missing some vital nugget of
information (possibly through not being a Python hacker).

Would somebody please give me a tip to get this sorted out?  Thanks!

Alan Mackenzie (Nuremberg, Germany).

More information about the Python-list mailing list